<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRevisionNumbers Method (IEdmRevisionMgr2)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr2 Interface : GetRevisionNumbers Method (IEdmRevisionMgr2)

Visual Basic
C#
C++/CLI

oIDorEmpty
  ID of revision number to get or null to get all revision numbers in the vault

ppoRetData
  Array of EdmRevNo structures; one structure for each revision number

Gets the specified revision number in the vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetRevisionNumbers( _
       ByVal oIDorEmpty As System.Object, _
       ByRef ppoRetData() As EdmRevNo _
    )

C# |
--- | ---

    void GetRevisionNumbers(
       System.object oIDorEmpty,
       out EdmRevNo[] ppoRetData
    )

C++/CLI |
--- | ---

    void GetRevisionNumbers(
    &   System.Object^ oIDorEmpty,
    &   [Out] array<EdmRevNo>^ ppoRetData
    )

#### Parameters

oIDorEmpty
  ID of revision number to get or null to get all revision numbers in the vault
ppoRetData
  Array of EdmRevNo structures; one structure for each revision number

# Example

Find Revisions Using Component (C#)
Find Revisions Using Component (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr2 Interface
IEdmRevisionMgr2 Members

# Availability

SOLIDWORKS PDM Professional 2007 SP03